# -*- coding: utf-8 -*-
from odoo import api, models, _
from odoo.exceptions import AccessError


class IrCron(models.Model):
    """ extend ir.cron to make sure all cron jobs are inactive
    and prevent launching them
    """
    _inherit = 'ir.cron'

    @api.model_create_multi
    def create(self, vals_list):
        for vals in vals_list:
            vals['active'] = False
        return super(IrCron, self).create(vals_list)

    def write(self, vals):
        vals['active'] = False
        return super(IrCron, self).write(vals)

    @api.model
    def deactivate_all(self):
        crons = self.search([])
        if crons:
            crons.write({'active': False})
        return True

    def method_direct_trigger(self):
        raise AccessError(_('Scheduled actions are not available on demo databases.'))
